Clone a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow/{id}/clone
  • POST /s/{space_id}/api/workflows/workflow/{id}/clone
Auth

Create a copy of an existing workflow.

Required privileges

Privileges workflowsManagement:create and workflowsManagement:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 255 required

Workflow ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}